Public Member Functions | Public Attributes | Friends | List of all members
FullWrtTextInternal::ParaModifier Struct Reference

Internal: class to store a para modifier with appear in docInfo. More...

## Public Member Functions
| ParaModifier ()
| constructor More...

## Public Attributes
float | m_beforeSpacing
| the before spacing ( negative in point, positive in percent ) More...
float | m_afterSpacing
| the after spacing ( negative in point, positive in percent ) More...
std::string | m_extra
| some extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, ParaModifier const &p)
| operator<< More...

## Detailed Description

Internal: class to store a para modifier with appear in docInfo.

## Constructor & Destructor Documentation

## ◆ ParaModifier()

FullWrtTextInternal::ParaModifier::ParaModifier | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ParaModifier const & | p
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_afterSpacing

float FullWrtTextInternal::ParaModifier::m_afterSpacing

the after spacing ( negative in point, positive in percent )

Referenced by FullWrtText::readParaModDocInfo(), and FullWrtText::send().

## ◆ m_beforeSpacing

float FullWrtTextInternal::ParaModifier::m_beforeSpacing

the before spacing ( negative in point, positive in percent )

Referenced by FullWrtText::readParaModDocInfo(), and FullWrtText::send().

## ◆ m_extra

std::string FullWrtTextInternal::ParaModifier::m_extra

some extra data

Referenced by FullWrtText::readParaModDocInfo().

The documentation for this struct was generated from the following file:

- FullWrtText.cxx